Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
ExclusiveObjectPool Class Reference
Inheritance diagram for ExclusiveObjectPool:

## Public Member Functions
| __init__ (self, objects)
| __len__ (self)
| addExclObjs (cls, *objs)
| destroy (self)
| diff (self, other)
| getObjsOfType (self, type)
| printObjsOfType (self, type)
| removeExclObjs (cls, *objs)
| typeFreqStr (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Protected Member Functions
| _resync (self)
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)

## Protected Attributes
| _filteredPool = ExclusiveObjectPool(self._postFilterObjs)
| _objects = list(objects)
list | _postFilterObjs = []
| _sync
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Static Protected Attributes
dict | _ExclObjIds = {}
list | _ExclObjs = []
| _SerialNumGen = SerialNumGen()
| _SyncMaster = Sync('ExclusiveObjectPool.ExcludedObjectList')

## Additional Inherited Members
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | objects )

## Member Function Documentation

## ◆ __len__()

__len__ | ( |  | self | ) |

## ◆ _resync()

_resync | ( |  | self | ) |
| protected

## ◆ addExclObjs()

addExclObjs | ( |  | cls,
|  | * | objs )

## ◆ destroy()

destroy | ( |  | self | ) |

## ◆ diff()

diff | ( |  | self,
|  |  | other )

## ◆ getObjsOfType()

getObjsOfType | ( |  | self,
|  |  | type )

## ◆ printObjsOfType()

printObjsOfType | ( |  | self,
|  |  | type )

## ◆ removeExclObjs()

removeExclObjs | ( |  | cls,
|  | * | objs )

## ◆ typeFreqStr()

typeFreqStr | ( |  | self | ) |

## Member Data Documentation

## ◆ _ExclObjIds

dict _ExclObjIds = {}
| static protected

## ◆ _ExclObjs

list _ExclObjs = []
| static protected

## ◆ _filteredPool

_filteredPool = ExclusiveObjectPool(self._postFilterObjs)
| protected

## ◆ _objects

_objects = list(objects)
| protected

## ◆ _postFilterObjs

_postFilterObjs = []
| protected

## ◆ _SerialNumGen

_SerialNumGen = SerialNumGen()
| static protected

## ◆ _sync

_sync
| protected

Initial value:
= Sync('%s-%s' % (self.__class__.__name__,
self._SerialNumGen.next()),
self._SyncMaster)

## ◆ _SyncMaster

_SyncMaster = Sync('ExclusiveObjectPool.ExcludedObjectList')
| static protected